Bienvenue, Invité
Nom d'utilisateur : Mot de passe : Se souvenir de moi

SUJET : [Résolu]SnapShot 2-7 mauvais chemin pour "Pear"

[Résolu]SnapShot 2-7 mauvais chemin pour "Pear" il y a 4 ans 7 mois #16040

  • TG CBTech
  • Portrait de TG CBTech
  • Hors ligne
  • Expert Boarder
  • Messages : 101
  • Remerciements reçus 5
  • Karma: 0
Bonjour à tous

Dans le dernier "SnapShot" récupéré aujourd'hui, il semble qu'il y est un pépin sur un chemin (include_path='.;C:\php5\pear').
Warning: require_once() [function.require-once]: open_basedir restriction in effect. File(E:\/lib/databases/mysql.lib.php) is not within the allowed path(s): (E:/Program Files/Doli) in X:\Program Files\Dolibarr\www\dolibarr\htdocs\install\upgrade.php on line 29

Warning: require_once(/lib/databases/mysql.lib.php) [function.require-once]: failed to open stream: Operation not permitted in X:\Program Files\Dolibarr\www\dolibarr\htdocs\install\upgrade.php on line 29

Fatal error: require_once() [function.require]: Failed opening required '/lib/databases/mysql.lib.php' (include_path='.;C:\php5\pear') in X:\Program Files\Dolibarr\www\dolibarr\htdocs\install\upgrade.php on line 29
Cordialment,
Environnement : Microsoft (Win 7, WinXP)
DoliBarr production : 2.9
Dolibarr Test : 3.1 CVS
Profil : Gestion d'une PME revendeuse de produits
Interface utilisateur : Eldy
Dernière édition: il y a 4 ans 7 mois par TG CBTech.
L'administrateur a désactivé l'accès en écriture pour le public.

Re: SnapShot 2-7 mauvais chemin pour "Pear" il y a 4 ans 7 mois #16051

  • eldy
  • Portrait de eldy
  • Hors ligne
  • Administrateur
  • Messages : 1437
  • Remerciements reçus 43
  • Karma: 100
As-tu un fichier conf.php présent dans htdocs/conf ?
Si non, il te faut appeler la page /install
Si oui, vérifie les permission pour le user web.
Laurent Destailleur (alias eldy, Dolibarr grade: Yoda).
- Dolibarr in the Cloud: DoliCloud, the OpenSource hosting solution for your Dolibar ERP & CRM.
- Android app for Dolibarr: DoliDroid
L'administrateur a désactivé l'accès en écriture pour le public.

Re: SnapShot 2-7 mauvais chemin pour "Pear" il y a 4 ans 7 mois #16066

  • TG CBTech
  • Portrait de TG CBTech
  • Hors ligne
  • Expert Boarder
  • Messages : 101
  • Remerciements reçus 5
  • Karma: 0
Bonjour Eldy

Désolé le week-en est passé par là et donc je n'ai pas vue ta réponse avant ce matin.
Le ficher conf.php est bien présent, les droits utilisateur me semble correct du moins au niveau du système. Par contre il me semble ne pas avoir été suffisamment précis sur la manipulation en cours, j'utilise la procédure de mise à jour de version supérieure pour être tranquille et donc c'est sur le début de la procédure de mise à jour qu'apparais ces erreurs.
Pour finir je n'ai pas encore récupéré le SnapShot de ce matin.
Merci pour ta réponse passé et future. :)
Cordialement,
Environnement : Microsoft (Win 7, WinXP)
DoliBarr production : 2.9
Dolibarr Test : 3.1 CVS
Profil : Gestion d'une PME revendeuse de produits
Interface utilisateur : Eldy
L'administrateur a désactivé l'accès en écriture pour le public.

Re: SnapShot 2-7 mauvais chemin pour "Pear" il y a 4 ans 7 mois #16069

  • TG CBTech
  • Portrait de TG CBTech
  • Hors ligne
  • Expert Boarder
  • Messages : 101
  • Remerciements reçus 5
  • Karma: 0
RE à tous

Bien, en premier point merci a Eldy qui m'a donnée la solution au problème.
Et pour tous ceux qui pourrais rencontré ce même problème, voici la solution que j'ai trouvé pour résoudre mon problème.

Comme il est indiquer sous mon post précédent le fichier "htdocs/conf/conf.php" étais bien présent dans le dossier approprié et les droits utilisateurs correspondait a mon utilisation de Test pour cette $dolibarr_main_document_root="E:/Program Files/Doli/www/dolibarr/htdocs";
version 2-7.

$dolibarr_main_document_root="C:/Program Files/Dolibarr/www/dolibarr/htdocs";
C'est en comparant le fichier "htdocs/conf/conf.php" de la version de production et de Test que des informations indispensable étaient manquante :
# ...
$dolibarr_main_url_root="";

# ...
$dolibarr_main_document_root="";

# ...
$dolibarr_main_document_root="";

# ...
$dolibarr_main_data_root="";

# ...
$dolibarr_main_db_host="";

# ...
$dolibarr_main_db_port="";

# ...
$dolibarr_main_db_name="";

# ...
$dolibarr_main_db_user="";

# ...
$dolibarr_main_db_pass="";

# ...
$dolibarr_main_db_character_set="";

# ...
$dolibarr_main_db_collation="utf8_general_ci";

# ...

corrigé
# ...
$dolibarr_main_url_root="http://localhost:.../dolibarr";

# ...
$dolibarr_main_document_root="C:/Program Files/Dolibarr/www/dolibarr/htdocs";

# ...
$dolibarr_main_document_root="C:/Program Files/Dolibarr/www/dolibarr/htdocs";

# ...
$dolibarr_main_data_root="C:/Program Files/Dolibarr/dolibarr_documents";

# ...
$dolibarr_main_db_host="localhost";

# ...
$dolibarr_main_db_port="3307";

# ...
$dolibarr_main_db_name="dolibarr";

# ...
$dolibarr_main_db_user="dolibarrmysql";

# ...
$dolibarr_main_db_pass="blabla...";

# ...
$dolibarr_main_db_character_set="utf8";

# ...
$dolibarr_main_db_collation="utf8_general_ci";

# ...

Il suffit de relancer la procédure de mise à jour après avoir enregistré la modification.
En espérant que cela puisse aider d'autres personnes.
Cordialement,
Environnement : Microsoft (Win 7, WinXP)
DoliBarr production : 2.9
Dolibarr Test : 3.1 CVS
Profil : Gestion d'une PME revendeuse de produits
Interface utilisateur : Eldy
Dernière édition: il y a 4 ans 7 mois par TG CBTech.
L'administrateur a désactivé l'accès en écriture pour le public.

Re: mauvais chemin pour "Pear" il y a 4 ans 3 mois #18404

  • vys
  • Portrait de vys
  • Hors ligne
  • Fresh Boarder
  • Messages : 14
  • Karma: 0
j'ai le même type erreur quand j'essaie de faire l'upgrade vers dolibarr 2.7

mon serveur est un centos et voici l'erreur que je trouve dans mon fichier log


PHP Warning: require_once(/var/www/dolibarr/dolibarr.financialart.com/htdocs/lib/databases/.lib.php) [<a href='function.require-once'>function.require-once</a>]: failed to open stream: No such file or directory in /var/www/dolibarr/dolibarr.financialart.com/htdocs/install/upgrade.php on line 33, referer: bkpdolibarr.financialart.be/htdocs/install/check.php?testget=ok

PHP Fatal error: require_once() [<a href='function.require'>function.require</a>]: Failed opening required '/var/www/dolibarr/dolibarr.financialart.com/htdocs/lib/databases/.lib.php' (include_path='.:/usr/share/pear:/usr/share/php') in /var/www/dolibarr/dolibarr.financialart.com/htdocs/install/upgrade.php on line 33, referer: bkpdolibarr.financialart.be/htdocs/install/check.php?testget=ok


le conf.php est identiquement le meme que celui de ma version 2.6.1....

Si quelqu'un a une piste je l'en remercie d'avance car je m'arrache les cheveux :blink:
L'administrateur a désactivé l'accès en écriture pour le public.
Temps de génération de la page : 0.100 secondes